Bug 49678 - xscreensaver-3.33-2 is not GL-accelerated
xscreensaver-3.33-2 is not GL-accelerated
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: xscreensaver (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-22 21:30 EDT by Alexei Podtelezhnikov
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-24 15:31:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexei Podtelezhnikov 2001-07-22 21:30:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010712

Description of problem:
None of GL-xscreensavers are accelerated.
I'm using partial rawhide here. I'm still relactant to try XFree86-4.1.0,
maybe, this is the reason. In that case xscreensaver should have required
that version. I checked that direct rendering is enabled and gears spin
like crazy.

How reproducible:
Always

Steps to Reproduce:
1. TRy 
2.
3.
	

Additional info:
Comment 1 Bill Nottingham 2001-07-22 21:50:26 EDT
I'm not sure what you're saying - they're accelerated when run in a window
but not when run as a screen saver?
Comment 2 Alexei Podtelezhnikov 2001-07-22 22:08:10 EDT
I mean that gears from Mesa-demo are smooth fast while gears and Co from
xscreensaver are slooooow and jumpy.
Comment 3 Bill Nottingham 2001-07-23 00:17:53 EDT
*boggle*

I don't see how this could happen.

Did you build the Mesa-demo stuff from source, or is it from the RPM?

Do you have any non-standard libGLs installed?
Comment 4 Alexei Podtelezhnikov 2001-07-23 01:42:45 EDT
I have XFree86-4.0.3-22 with Mesa-3.4.2-1 from 2-week old rawhide. xscreensaver-
3.32-2 works well with it. The new release (3.33-2) does not have acceleration. 
I mean the frame rate is 10 times lower than one would expect using DRI. I was 
surprised by that and checked if my DRI stayed enaled. It did and gears from an 
older Mesa-demo-3.4.2-1 worked fast. What I mean is that it's not a problem in 
my set-up, but rather xscreensaver-3.33-2's problem. I couldn't be more clear.

You probably compiled this new release using XFree-4.1.0-something libraries. 
The new XFree86 or Mesa probably have something incompatibly changed. I don't 
know. The bottom line - xscreensaver lost 3d acceleration on an older system. 
Maybe, it was supposed to happen. I don't know.
Comment 5 Bill Nottingham 2001-07-23 01:56:17 EDT
I understand what you're saying. I'm just saying that by everything that I know,
this *shouldn't* happen (i.e., it shouldn't matter which libGL it links against.)
Just to confirm, if you rebuild 3.33-2 on your system, does it work fine?
Comment 6 Jeronimo Alaminos 2001-07-23 14:13:14 EDT
In the config file .xscreensaver of your home directory change Memory Limit from
50M to 100M. 
That it's enough to make it works. I don't know if its two much or not.
Comment 7 Bill Nottingham 2001-07-23 15:26:41 EDT
Reporter: does that work for you?
Comment 8 Bill Nottingham 2001-07-23 15:28:20 EDT
(if so, we'll bump the default to something reasonable, but higher.)
Comment 9 Bill Nottingham 2001-07-23 15:58:48 EDT
Confirmed here; setting the memory limit higher should fix the problem.
Comment 10 Alexei Podtelezhnikov 2001-07-23 16:19:47 EDT
Setting memory higher doesn't change anyuthing for me. However, I found out that
the problem exists only when using "Demo" in xscreensaver-demo. Starting them
from command line or by the daemon works fine, with acceleration. Strange, huh?
In addition, default frame delay values are too high in my opinion given the
fact that dealy is simply added to the elapsed time in rendering. :( It should
be that delay exists only if the rendering took less time than the value
specifies.

Comment 11 Alexei Podtelezhnikov 2001-07-23 16:24:02 EDT
Yeah... Maybe, the rendering is accelerated, but delay values while starting
through "demo" are set too high?
Comment 12 Alexei Podtelezhnikov 2001-07-24 00:13:36 EDT
I does appear that DRI works only by firing up the modules from command line.
daemon and xscreensaver-demo do not start the modules correctly.
Comment 13 Alexei Podtelezhnikov 2001-07-24 15:31:05 EDT
Setting memory to 250M doesn't help. From daemon glpnanet consumes 0.1% with X
eating away 99.5%. From command line 75% for glplanet with almost nothing for X.
Please check how the daemon (and xscreensaver-demo) controls the modules. I'm
downgrading to 3.32-3 for now this is my last report here.
Comment 14 Bill Nottingham 2002-01-24 00:49:15 EST
This was fixed in the build in 7.2.

Note You need to log in before you can comment on or make changes to this bug.